<style>
    
    .reviewsplus-add-result {
        margin-bottom: 10px;        
        padding: 10px;
        font-weight: bold;
        font-size: 1.3em;
        font-family: cursive;
    }
    
    #reviewsplus-add-form .wa-form .wa-field .wa-name {
        float: left;
        width: 30% !important;
        padding-top: 0.05em;
        padding-bottom: 10px;
        color: #000;
    }
    
    #reviewsplus-add-form .wa-form .wa-field .wa-value {
        margin-left: 35% !important;
        margin-bottom: 5px;
        position: relative;
    }
    
    
    #reviewsplus-add-form .wa-form .wa-field .wa-value textarea { 
        width: 300px;
	min-width: 300px !important;
        padding: 5px;
        border: 1px solid;
        border-color: #bfbfbf;
        background: #fff;
        box-shadow: 0 1px 0 rgba(255,255,255,.89), inset 0 0 3px rgba(4,4,4,.06);
    }
    
    #reviewsplus-add-form .wa-form .wa-field .wa-value input[type='text'] {
        width: 300px;
	min-width: 300px !important;
        padding: 5px;
        border: 1px solid;
        border-color: #bfbfbf;
        background: #fff;
        box-shadow: 0 1px 0 rgba(255,255,255,.89), inset 0 0 3px rgba(4,4,4,.06);
    }
    
    
    .reviewsplus-popup-overlay {
        z-index: 2100;
        background: url('{$wa_url}wa-apps/shop/plugins/reviewsplus/img/fancybox_overlay.png');
        height: 100%;
        width: 100%;
        bottom: 0;
        position: fixed;
        right: 0;
    }

    .reviewsplus-popup-wrap {
        position: fixed;
        top: 5%;
        left: 0;
        right: 0;
        opacity: 1;
        z-index: 2101;
        overflow-x: hidden;
        box-shadow: 0 3px 15px #333;
        margin: 0 auto;
        text-align: left;
        min-height: 100px;
        background: #fff;                
        border-color: #ababab;    
        line-height: 1;        
    }

    .reviewsplus-popup-wrap .reviewsplus-popup-title {    
        width: 100%;
        top: 10%;
        left: 0;
        right: 0;
        margin: 0 auto;
        z-index: 2102;    
        font-weight: normal;    
        border-bottom: 1px solid;
        box-shadow: 0 3px 15px #777;
        background: #fff;
        border-color: #ababab;
        padding: 15px;
    }

    .reviewsplus-popup-wrap .reviewsplus-popup-title .reviewsplus-popup-title-span {
        font-weight: bold;
        font-size: 1.3em;
    }

    .reviewsplus-popup-wrap .reviewsplus-popup-title .reviewsplus-popup-title-close {    
        position: absolute;
        right: 5px;
        top: 2px;
    }

    .reviewsplus-popup-wrap .reviewsplus-popup-title .reviewsplus-popup-title-close a {
        text-decoration: none;
        font-size: 2em;
    }


    .reviewsplus-popup-wrap .reviewsplus-popup-content {    
        padding-left: 30px;
        padding-right: 30px;    
        overflow-y: auto;    
        margin-bottom: 25px;
        bottom: auto;
    }
    
    #reviewsplus-form-div {
        border: 1px solid #e5e9f0;
        padding: 20px;
        border-radius: 15px;
        margin-bottom: 20px;        
    }
    
    #reviewsplus-form-div .reviewsplus-div-title  {
        font-weight: bold;        
    }
    
    #reviewsplus-form-div .reviewsplus-div-title .reviewsplus-div-title-span {    
        float: left;
        font-size: 1.5em;
    }

    #reviewsplus-form-div .reviewsplus-div-title .reviewsplus-div-title-close {    
        margin-left: 98%;
        font-size: 2em;
    }
    
    .reviewsplus-add-link-div {
        margin-bottom: 20px;
    }
    

.paging a.selected {
    color: #000;
    background: #eee;
}

.paging a {
    padding: 4px 6px;
    text-decoration: none;
}

.reviewsplus-pages {
    margin-bottom: 10px;
}

.reviewsplus-tags {
    font-size: 0.9em;
    color: gray;
}

.reviewsplus-coupon-text {
    color: #a00c0c;
    font-weight: bold;
    margin-bottom: 10px;
    font-size: 1.3em;
}

.rating-fa {
   font-family: FontAwesome;
   padding-left: 1px;
}

.rating.form-control.hide {
   display: none!important;
}

.caption .label-success {
    background-color: #5cb85c;
}
.caption .label {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 100%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}

.reviews span.rate {
    display: initial;
}

</style>
<link href="{$css_path|escape}vendors/star-rating.min.css" media="all" rel="stylesheet" type="text/css" />
<script src="{$wa_url}wa-content/js/jquery-wa/wa.dialog.js" type="text/javascript"></script>
<script src="{$js_path|escape}vendors/star-rating.min.js" type="text/javascript"></script>
<script type="text/javascript" src="{$wa_app_static_url}js/rate.widget.js"></script>
<form action="{$frontend_url}addreview" id="reviewsplus-add-form" method="post" style="display: none;">
    {$wa->csrf()} 
    <input type="hidden" name="parent_id" value="0">
    <input type="hidden" name="product_id" value="{if isset($product.id)}{$product.id}{else}0{/if}">        
    <input type="hidden" name="main[auth_provider]" value="{$current_auth_source|default:shopProductReviewsModel::AUTH_GUEST}">
    <div class="wa-form">
        {if isset($text_fields) && !empty($text_fields)}
            {foreach $text_fields as $key => $val}
                {if $val['name_id'] != 'name' && $val['required'] != 1 && $val['show'] == 0}
                    {continue}
                {/if}
                <div class="wa-field 
                    {if $val['required'] == 1}
                        wa-required
                    {/if}">
                    <div class="wa-name">
                        {if isset($val['name'])}
                            {$val['name']|escape}
                        {else}
                            ---
                        {/if}
                    </div>
                    <div class="wa-value">
                        {if $val['name_id'] == 'name'}
                            <input type="text"
                                name='main[name]'
                                class="form-control"
                                {if !empty($current_user_id)}
                                    value="{$wa->user('name')}"
                                    readonly="readonly"
                                {/if}
                                {if $val['required'] == 1}                           
                                    required=""
                                {/if}
                                />
                        {else}
                            <input type='text'
                                name="{$val['func']|escape}[{$val['name_id']}]"
                                class="form-control"
                                maxlength="100"
                                {if $val['required'] == 1}                       
                                    required=""
                                {/if}
                                />
                        {/if}
                    </div>
                </div>
            {/foreach}
        {/if}
        {if isset($rate_fields) && !empty($rate_fields)}
            {$i = 0}
            {foreach $rate_fields as $key => $val}                
                {if $val['required'] != 1 && $val['show'] == 0}
                    {continue}
                {/if}
                <div class="wa-field">
                    <div class="wa-name">
                        {if isset($val['name'])}
                            {$val['name']|escape}
                        {else}
                            ----
                        {/if}
                    </div>
                    <div class="wa-value">
                        <span class="no-underline rate reviewsplus-review-rate" data-rate="0" style='cursor: pointer;'>
                            <i class="icon16 star-empty"></i>
                            <i class="icon16 star-empty"></i>
                            <i class="icon16 star-empty"></i>
                            <i class="icon16 star-empty"></i>
                            <i class="icon16 star-empty"></i>
                        </span>            
                        <input name="{$val['func']|escape}[{$val['name_id']}]" type="hidden" value="0" id="reviewplus-rateid-{$i}" class='reviewsplus-rate-field'>
                    </div>
                </div>
                {$i=$i+1} 
            {/foreach}
        {/if}
        {if isset($textarea_fields) && !empty($textarea_fields)}            
            {foreach $textarea_fields as $key => $val}
                {if $val['required'] != 1 && $val['show'] == 0}
                    {continue}
                {/if}
                <div class="wa-field 
                    {if $val['required'] == 1}
                        wa-required
                    {/if}"
                    >
                    <div class="wa-name">
                        {if isset($val['name'])}
                            {$val['name']|escape}
                        {else}
                            ---
                        {/if}
                    </div>
                    <div class="wa-value">
                        <textarea name="{$val['func']|escape}[{$val['name_id']}]" 
                                class="form-control"
                                {if $val['required'] == 1}
                                    required=""                          
                                {/if} ></textarea>
                    </div>
                </div>
            {/foreach}            
        {/if}            
    </div>
    {$current_user_id = $wa->userId()} 
    <div style="clear: both;"></div>
    {if $request_captcha}
        {if $captcha_show == 0}
            {$wa->captcha()}
        {else}
            {if empty($current_user_id)}
                {$wa->captcha()}
            {/if}
        {/if}            
    {/if}
    <div class="reviewsplus-add-result" style="display: none; width: 95%;"></div>
    <input type="submit" value="Добавить" />        
</form>
<h2>{sprintf('[`%s reviews`]', $product.name|escape)}</h2>
{if isset($rating) && !empty($rating)}
    <div class="reviewsplus-reviews-rating">
        <p class="rating">                
            {if isset($count) && !empty($count)}
                Средняя оценка покупателей (на основе {$count|escape} отзывов)
            {/if}
            {$wa->shop->ratingHtml($rating, 16)} ({$rating|escape} из 5)
                   
            {if isset($rates) && !empty($rates)}
                <br/>
                <span class="reviewsplus-reviews-rates">                        
                    {foreach $rates as $rate => $cc}
                        {if !$rate || $rate == 0}
                            без оценки - {$cc} &nbsp;
                        {else}
                            {$wa->shop->ratingHtml($rate, 10)} - {$cc} &nbsp;
                        {/if}                            
                    {/foreach}                       
                </span>
            {/if}
        </p>
    </div>
{/if}
{if isset($coupon_text)}
    <div class="reviewsplus-coupon-text">
        {$coupon_text|escape}
    </div>
{/if}
<div class="reviewsplus-add-link-div">        
    {if empty($current_user_id) && $require_authorization}    
        <p class="review-field">{sprintf(
            '[`To add a review please <a href="%s">sign up</a> or <a href="%s">login</a>`]', 
            $wa->signupUrl(), 
            $wa->loginUrl())
            }
        </p>
    {else}
        <input type="button" class="reviewsplus-add" value="[`Write a review`]" 
               data-pid="{if isset($product.id)}{$product.id}{else}0{/if}"
               />
    {/if}
</div>
<div id="reviewsplus-form-div" style="display: none;">
    <div class="reviewsplus-div-title">
        <div class="reviewsplus-div-title-span">Добавление отзыва</div>
        <div class="reviewsplus-div-title-close">
            <a href="javascript:void(0);" title="Закрыть">×</a>
        </div>        
    </div>
    <div class="reviewsplus-div-content">
        
    </div>
</div>
<div id="reviewsplus-form-popup" style="display: none;">
    <div class="reviewsplus-popup-wrap">
        <div class="reviewsplus-popup-title">
            <span class="reviewsplus-popup-title-span">Добавление отзыва</span>
            <span class="reviewsplus-popup-title-close">
                <a href="javascript:void(0);" title="Закрыть">×</a>                
            </span>
        </div>
        <div class="reviewsplus-popup-content"></div>
    </div>
    <div class="reviewsplus-popup-overlay"></div>
</div>
{if isset($reviews) && !empty($reviews)}    
    {if isset($pages_count) && $pages_count !== 0}
        <div class="reviewsplus-pages" data-reviewsplus-pid="{if isset($product.id)}{$product.id}{else}0{/if}">
            <div style="float: left; margin-right: 10px; font-weight: bold;">
                Страницы: 
            </div>             
            <div class="paging">
                {for $i = 1; $i le $pages_count; $i++}                
                    <a href="javascript:void(0);"
                       data-reviewsplus-page="{$i}"
                       class="reviewsplus-pages-link 
                       {if $i == $cpage}
                       selected                       
                       {/if}
                       "
                       >
                        {$i}
                    </a>
                {/for}
            </div>
        </div>
    {/if}
    <div class="reviewsplus-main">
        {$reviews}
    </div>
{else}
    {if isset($noreviews) && !empty($noreviews)}
        {$noreviews|escape}
    {/if}
{/if}
<script type="text/javascript">
    var options = {
        'popup': "{$popup|escape}",
        'frontend_url': "{$frontend_url|escape}"
    };
    
    $.reviewsplus_frontend.init(options);
</script>